<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('s2_real_object', function (Blueprint $table) {
            $table->tinyInteger("type")->default(0)->comment("类型 0:普通商品 1:营养素")->after("base_quantity");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('s2_real_object', function (Blueprint $table) {
            $table->dropColumn("type");
        });
    }
};
